#Calculates number of SNPs per chromosome
#E. Heppenheimer, May 2018 
#Assumes dog genome with 39 chromosomes- but this isn't hard to change
#Input is a .map plink file  
#Run as ./SNP_Count_Per_Chr.sh plink.map

INPUT=$1

#while loop that creates one file for each chromosome 
i=1
n=0; while (( n++ < 9 ))
do
pre="Chr0"
awk -v i=$i '$1 == i' $INPUT > $pre$i 
let "i+=1";
done

#I've done this twice since a lack of a 0 before chr# 1-9 will mess up sorting later 
i=10
n=0; while (( n++ < 30 ))
do
pre="Chr"
awk -v i=$i '$1 == i' $INPUT > $pre$i 
let "i+=1";
done

#count the number of lines in each file 
wc -l Chr* > SNP_count_per_Chr.txt 

#remove the intermediate SNP files 
rm Chr*

